on: push
name: build and deploy
jobs:
  build:
    runs-on: docker
    if: github.ref == 'refs/heads/main'
    steps:
      - name: checkout
        uses: actions/checkout@v4
      - name: build_and_deploy
        uses: https://github.com/shalzz/zola-deploy-action@master
        env:
          PAGES_BRANCH: web
          TOKEN: ${{ secrets.GITHUB_TOKEN }}
          GITHUB_HOSTNAME: code.xsiz.eu
